This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 997042 - python bindings: releasing thread lock for handle.perform()
python bindings: releasing thread lock for handle.perform()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 10:36 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: librepo-1.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:28:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-08-14 10:36:36 EDT
Description of problem:

Librepo does not release the thread lock [1] when the IO-intensive handle.perform() is executing. This completely stalls other Python threads for the time perform() is running, causing UI freezes in threaded UI-intensive apps such as Anaconda.

[1] http://docs.python.org/2/c-api/init.html#releasing-the-gil-from-extension-code
Comment 2 Fedora Update System 2013-09-03 04:47:16 EDT
librepo-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librepo-1.0.0-1.fc19
Comment 3 Fedora Update System 2013-09-03 18:31:52 EDT
Package librepo-1.0.0-1.fc19, dnf-0.3.11-2.git54f55e0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librepo-1.0.0-1.fc19 dnf-0.3.11-2.git54f55e0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15734/dnf-0.3.11-2.git54f55e0.fc19,librepo-1.0.0-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-04 21:28:54 EDT
librepo-1.0.0-1.fc19, dnf-0.3.11-2.git54f55e0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.